### Namespace

# Rest – 1.0

REST client library

Version | 0.9.1
Authors | Günther Wagner
License | LGPL-2.1-or-later
Website |
Source | https://gitlab.gnome.org/GNOME/librest/

#### Build

C headers | `rest/rest-enum-types.h, rest/rest-oauth2-proxy-call.h, rest/rest-oauth2-proxy.h, rest/rest-param.h, rest/rest-params.h, rest/rest-pkce-code-challenge.h, rest/rest-proxy-auth.h, rest/rest-proxy-call.h, rest/rest-proxy.h, rest/rest-utils.h, rest/rest-xml-node.h, rest/rest-xml-parser.h, rest/rest.h`
pkg-config files | `rest-1.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | GObject interfaces and objects
| Browse documentation
Soup—3.0 | HTTP library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

OAuth2Proxy |
OAuth2ProxyCall |
Proxy | `RestProxy` has no publicly available members.
ProxyAuth | `RestProxyAuth` has no publicly available members.
ProxyCall | `RestProxyCall` has no publicly available members.
XmlParser | A Xml Parser for Rest Responses.

#### Structs

Param |
Params |
ParamsIter |
PkceCodeChallenge | In order to play a Pkce Code Verification during a OAuth2 authorization you need this structure which handles the algorithmic part.
XmlNode | The `RestXmlNode` contains a parsed XmlNode for easy consumption.

#### Enumerations

MemoryUse |

#### Error Domains

ProxyCallError | Error domain used when returning errors from `RestProxyCall`.
ProxyError | Error domain used when returning errors from a `RestProxy`.

#### Callbacks

ProxyCallAsyncCallback |
ProxyCallContinuousCallback |
ProxyCallUploadCallback |

#### Functions

oauth2_error_quark |
random_string | Creates a random string from a given alphabeth with length `length`.